phenny_2~hg28-2_all.deb


Advertisement

Description

phenny - extensible IRC bot written in Python

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package name phenny
Package version 2~hg28
Package release 2
Package architecture all
Package type deb
Installed size 408 B
Download size 81.20 KB
Official Mirror ftp.br.debian.org
Phenny is a lightweight IRC bot with the usual facilities that one expects such
as a Wordnet interface and thesaurus lookups. Modularly extensible with Python
and can reload modules on the fly.

Alternatives

Package Version Architecture Repository
phenny_2~hg28-2_all.deb 2~hg28 all Debian Main
phenny - - -

Requires

Name Value
python >= 2.5
python-support >= 0.90.0

Download

Type URL
Binary Package phenny_2~hg28-2_all.deb
Source Package phenny

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install phenny deb package:
    # sudo apt-get install phenny

Files

Path
/usr/bin/phenny
/usr/share/doc/phenny/changelog.Debian.gz
/usr/share/doc/phenny/copyright
/usr/share/man/man1/phenny.1.gz
/usr/share/pyshared/phenny/__init__.py
/usr/share/pyshared/phenny/bot.py
/usr/share/pyshared/phenny/icao.py
/usr/share/pyshared/phenny/irc.py
/usr/share/pyshared/phenny/tools.py
/usr/share/pyshared/phenny/web.py
/usr/share/pyshared/phenny/modules/__init__.py
/usr/share/pyshared/phenny/modules/admin.py
/usr/share/pyshared/phenny/modules/calc.py
/usr/share/pyshared/phenny/modules/clock.py
/usr/share/pyshared/phenny/modules/codepoints.py
/usr/share/pyshared/phenny/modules/dict.py
/usr/share/pyshared/phenny/modules/etymology.py
/usr/share/pyshared/phenny/modules/head.py
/usr/share/pyshared/phenny/modules/info.py
/usr/share/pyshared/phenny/modules/oblique.py
/usr/share/pyshared/phenny/modules/ping.py
/usr/share/pyshared/phenny/modules/reload.py
/usr/share/pyshared/phenny/modules/search.py
/usr/share/pyshared/phenny/modules/seen.py
/usr/share/pyshared/phenny/modules/startup.py
/usr/share/pyshared/phenny/modules/tell.py
/usr/share/pyshared/phenny/modules/translate.py
/usr/share/pyshared/phenny/modules/validate.py
/usr/share/pyshared/phenny/modules/weather.py
/usr/share/pyshared/phenny/modules/wikipedia.py
/usr/share/pyshared/phenny/modules/wiktionary.py
/usr/share/python-support/phenny.public

Changelog

2010-09-12 - Piotr O┼╝arowski <piotr@debian.org>
phenny (2~hg28-2) unstable; urgency=low
* Team upload.
* Drop 05_python-version.dpatch, set minimum required version via
XS-Python-Version and use unversioned interpreter in shebang
Closes: #596311
2009-10-15 - Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
phenny (2~hg28-1) unstable; urgency=low
[ Noah Slater ]
* New upstream version, security fix and oblique command added.
* Added debian/README.source file.
* Updated debian/control, removed Build-Depends on cdbs.
* Updated debian/control, updated Build-Depends on debhelper to 7.2.11.
* Updated debian/control, changed Standards-Version to 3.8.1.
* Updated debian/control, changed Vcs-Browser.
* Updated debian/copyright, changed for latest proposed format.
* Updated debian/patches, converted all patches to dpatch system.
* Updated debian/patches/module-home.patch, relative home. Closes: #516038
* Updated debian/rules to use full debhelper system.
* Deleted debian/patches/bot-announce.patch, announce functionality.
[ Sandro Tosi ]
* debian/control
- switch Uploaders and Maintainer fields (package is team maintained)
- bump Standards-Version to 3.8.3 (no changes needed)
2008-05-24 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg16-1) unstable; urgency=low
* New upstream version, updated translation module.
2008-05-20 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg15-1) unstable; urgency=low
* New upstream version, updated translation module.
2008-04-28 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg14-1) unstable; urgency=low
* New upstream version.
* Updated debian/patches/command-option.patch, correct import. Closes: #478033
* Updated debian/copyright, changed for latest proposed format.
2008-03-30 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg11-2) unstable; urgency=medium
* Added debian/patches/bot-announce.patch, announce functionality.
* Updated debian/rules, general standards improvement.
* Updated debian/control, corrected Depends and Build-Depends-Indep on
versioned python. Closes: #471617
2008-03-09 - Noah Slater <nslater@tumbolia.org>
phenny (2~hg11-1) unstable; urgency=low
* Initial release. Closes: #458095

See Also

Package Description
phlipple-data_0.8.2-1_all.deb reduce 3D shapes to a single square - game data
phlipple_0.8.2-1+b1_amd64.deb reduce 3D shapes to a single square
phnxdeco_0.33-3_amd64.deb Decompress flashfiles equipped with a PHOENIX BIOS
phonefsod_0.1+git20110827-3_amd64.deb SHR daemon for freesmartphone.org interaction
phoneui-apps_0.1+git20111214-2_amd64.deb SHR applications
phoneuid_0.1+git20110506-2+b1_amd64.deb SHR daemon for user interaction
phonon-backend-gstreamer_4.6.0.0-2_amd64.deb Phonon GStreamer 0.10.x backend
phonon-backend-null_4.6.0.0-3_amd64.deb multimedia framework from KDE - null back-end (no real back-end)
phonon-backend-vlc_0.6.0-1_amd64.deb Phonon VLC backend
phonon-backend-xine_4.6.0.0-3_all.deb transitional package to aid switching to phonon-backend-vlc
phonon_4.6.0.0-3_amd64.deb multimedia framework from KDE - metapackage
photofilmstrip_1.9.91+dfsg-1_all.deb Slideshow creator with Ken Burns effect
photon_0.4.6-3_all.deb a static HTML gallery generator
photopc_3.05-6_amd64.deb Interface to digital still cameras
photoprint_0.4.2~pre2-2+b1_amd64.deb Image printing utility
Advertisement
Advertisement